Name: openldap-mmc-dit
Summary: Sample DIT for OpenLDAP
Version: 0.18
Release: %mkrel 7
License: GPLv2+
Group: System/Servers
Source0: mmc-dit-base-template.ldif
Source1: mmc-dit-access-template.conf
Source2: mmc-dit-setup.sh
Source3: mmc-dit-slapd-template.conf
Source4: README.mmc.dit
Source5: LICENSE.mmc.dit
Source6: README.dns.mmc.dit
Source7: README.dhcp.mmc.dit
Source8: README.sudo.mmc.dit
Source9: README.samba.mmc.dit
Source10: TODO.mmc.dit
Source14: README.heimdal.mmc.dit
Requires: openldap-servers >= 2.3
Requires: openldap-clients
# For when we have the schemas splitted off of openldap-servers
#Requires: openldap-extra-schemas
URL: http://wiki.mmc.com/en/Projects/OpenLDAP_DIT

%description
This package contains a template LDIF file, access control rules and a simple
installation script for a suggested DIT (Directory Information Tree) to use
with an OpenLDAP server. The main characteristic of this DIT is a granular
access control via several standard administration groups. Please see the
README file for more information.


%files
%doc README* LICENSE TODO
%{_datadir}/openldap/scripts/mmc-dit-setup.sh
%{_datadir}/openldap/mmc-dit

#--------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/openldap/mmc-dit
mkdir -p %{buildroot}%{_datadir}/openldap/scripts
mkdir -p %{buildroot}%{_sysconfdir}/openldap
install -m 0644 %{_sourcedir}/mmc-dit-base-template.ldif %{buildroot}%{_datadir}/openldap/mmc-dit
install -m 0644 %{_sourcedir}/mmc-dit-access-template.conf %{buildroot}%{_datadir}/openldap/mmc-dit
install -m 0644 %{_sourcedir}/mmc-dit-slapd-template.conf %{buildroot}%{_datadir}/openldap/mmc-dit
install -m 0755 %{_sourcedir}/mmc-dit-setup.sh %{buildroot}%{_datadir}/openldap/scripts
install -m 0644 %{_sourcedir}/README.mmc.dit README
install -m 0644 %{_sourcedir}/LICENSE.mmc.dit LICENSE
install -m 0644 %{_sourcedir}/README.dns.mmc.dit README.dns
install -m 0644 %{_sourcedir}/README.samba.mmc.dit README.samba
install -m 0644 %{_sourcedir}/README.dhcp.mmc.dit README.dhcp
install -m 0644 %{_sourcedir}/README.sudo.mmc.dit README.sudo
install -m 0644 %{_sourcedir}/README.heimdal.mmc.dit README.heimdal
install -m 0644 %{_sourcedir}/TODO.mmc.dit TODO

# http://qa.mmc.com/show_bug.cgi?id=23381
sed -i "s,@LIBDIR@,%{_libdir},g" \
	%{buildroot}%{_datadir}/openldap/mmc-dit/mmc-dit-slapd-template.conf



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.18-7.mga6
+ Revision: 961952
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 neoclust <neoclust> 0.18-6.mga6
+ Revision: 895768
- imported package openldap-mmc-dit

